package de.ugoe.cs.autoquest.plugin.alignment.substitution;

import java.util.Collection;
import java.util.List;

import de.ugoe.cs.autoquest.eventcore.Event;

public interface SubstitutionMatrix {

	public String info();
	
	public double getDistance(int pos1, int pos2);

	public double getGapPenalty();

	public void generate(Collection<List<Event>> eventList);
	
}
